SASLProfile (SASL Profile API)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.beepcore.beep.profile.sasl
Class SASLProfile

    java.lang.Object
      |
      +--org.beepcore.beep.core.TuningProfile
            |
            +--org.beepcore.beep.profile.sasl.SASLProfile

Direct Known Subclasses:
  SASLAnonymousProfile, SASLOTPProfile

public abstract class SASLProfile
extends org.beepcore.beep.core.TuningProfile

This class is the base SASL Profile implementation. It's extended by ANONYMOUS and OTP and EXTERNAL It provides a place for shared data and shared functionality for sending messages or replies, encoding data, etc. Some of these support routine are provided merely because SASLProfile extends TuningProfile It is anticipated that MECHANISM-specific state associated with an ongoing SASL connection will be provided by extensions as we don't want to mandate data structures, storage etc.

Field Summary
`static java.lang.String` | `COMPLETE`
`static java.lang.String` | `ENCODING_BASE64`
`static java.lang.String` | `ENCODING_DEFAULT`
`static java.lang.String` | `ENCODING_NONE`
`static java.lang.String` | `LOCALIZE_DEFAULT`
`static java.lang.String` | `SASL`
`static java.lang.String` | `SASL_STATUS_ABORT`
`static java.lang.String` | `SASL_STATUS_COMPLETE`
`static java.lang.String` | `SASL_STATUS_CONTINUE`
`static java.lang.String` | `SASL_STATUS_NONE`
`protected SASLSessionTable` | `sessionTable`

Constructor Summary
`SASLProfile()`

Method Summary
`protected static void` | `clearCredential(org.beepcore.beep.core.Session s, SASLProfile profile)` Method clearCredential simply clears the credentials associated with a given Session - this is typically done before a new authentication is attempted.
`protected void` | `failListenerAuthentication(org.beepcore.beep.core.Session session)`
`protected void` | `finishInitiatorAuthentication(org.beepcore.beep.core.SessionCredential cred, org.beepcore.beep.core.Session s)` Method finishInitiatorAuthentication basically says 'we've authenticated successfully' and calls the tuningprofile method (exposed by SASLProfile's extension of the core class TuningProfile) which sets the local credential.
`protected void` | `finishListenerAuthentication(org.beepcore.beep.core.SessionCredential cred, org.beepcore.beep.core.Session s)` Method finishListenerAuthentication basically says 'some peer has authenticated successfully' and calls the tuningprofile method (exposed by SASLProfile's extension of the core class TuningProfile) which sets the peer credential.

Methods inherited from class org.beepcore.beep.core.TuningProfile
`abort, begin, complete, disableIO, enableIO, reset, sendProfile, setLocalCredential, setPeerCredential, startChannel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPLETE

    public static final java.lang.String COMPLETE

See Also:
  Constant Field Values

### ENCODING_NONE

    public static final java.lang.String ENCODING_NONE

See Also:
  Constant Field Values

### ENCODING_BASE64

    public static final java.lang.String ENCODING_BASE64

See Also:
  Constant Field Values

### ENCODING_DEFAULT

    public static final java.lang.String ENCODING_DEFAULT

See Also:
  Constant Field Values

### LOCALIZE_DEFAULT

    public static final java.lang.String LOCALIZE_DEFAULT

See Also:
  Constant Field Values

### SASL

    public static final java.lang.String SASL

See Also:
  Constant Field Values

### SASL_STATUS_ABORT

    public static final java.lang.String SASL_STATUS_ABORT

See Also:
  Constant Field Values

### SASL_STATUS_COMPLETE

    public static final java.lang.String SASL_STATUS_COMPLETE

See Also:
  Constant Field Values

### SASL_STATUS_CONTINUE

    public static final java.lang.String SASL_STATUS_CONTINUE

See Also:
  Constant Field Values

### SASL_STATUS_NONE

    public static final java.lang.String SASL_STATUS_NONE

See Also:
  Constant Field Values

### sessionTable

    protected SASLSessionTable sessionTable

Constructor Detail

### SASLProfile

    public SASLProfile()

Method Detail

### clearCredential

    protected static void clearCredential(org.beepcore.beep.core.Session s,
                                          SASLProfile profile)

  Method clearCredential simply clears the credentials associated with a given Session - this is typically done before a new authentication is attempted.

### finishInitiatorAuthentication

    protected void finishInitiatorAuthentication(org.beepcore.beep.core.SessionCredential cred,
                                                 org.beepcore.beep.core.Session s)

  Method finishInitiatorAuthentication basically says 'we've authenticated successfully' and calls the tuningprofile method (exposed by SASLProfile's extension of the core class TuningProfile) which sets the local credential. The session has two credentials, one in each direction, so it's necessary to differentiate between local credentials and credentials associated with the peer in a given session.

### finishListenerAuthentication

    protected void finishListenerAuthentication(org.beepcore.beep.core.SessionCredential cred,
                                                org.beepcore.beep.core.Session s)
                                         throws SASLException

  Method finishListenerAuthentication basically says 'some peer has authenticated successfully' and calls the tuningprofile method (exposed by SASLProfile's extension of the core class TuningProfile) which sets the peer credential. The session has two credentials, one in each direction, so it's necessary to differentiate between local credentials and credentials associated with the peer in a given session.

    `SASLException`

### failListenerAuthentication

    protected void failListenerAuthentication(org.beepcore.beep.core.Session session)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2001 Invisible Worlds, Inc. All Rights Reserved.